Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class TabTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.TabTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class TabTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Elemento (tab) de un tab de pestañas El tag tendra la forma: Esta es la opcion 1 Esta es la opcion 2 Cada una de las opciones (tab) ha de registrarse en el padre (tabs) de forma que no se puede componer el html hasta que no se cierra el padre (tabs)

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TabTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getMenuText()` Devuelve el texto del menu (opción)
`java.lang.String` | `getName()` Devuelve el nombre del tab
`void` | `release()` Release any acquired resources.
`void` | `setMenuText(java.lang.String x)` Establece el texto del menu (opción)
`void` | `setName(java.lang.String x)` Establece el nombre del tab

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### TabTag

    public TabTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

### doStartTag

    public int doStartTag()

  Process the start of this tag. The default implementation does nothing.

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getName

    public java.lang.String getName()

  Devuelve el nombre del tab

  Returns:
    el nombre

### setName

    public void setName(java.lang.String x)

  Establece el nombre del tab

### getMenuText

    public java.lang.String getMenuText()

  Devuelve el texto del menu (opción)

  Returns:
    el texto -titulo- del menu

### setMenuText

    public void setMenuText(java.lang.String x)

  Establece el texto del menu (opción)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD